/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_VIEW_H__
#define __AIR_MEDIAHUB_VIEW_H__

/* base */
view_class *view_base_get_vclass(void);

/* detail */
view_class *view_detail_get_vclass(void);

/* viewer */
view_class *view_viewer_get_vclass(void);

/* music player */
view_class *view_mplayer_get_vclass(void);

/* action menu */
view_class *view_action_menu_get_vclass(void);

/* zoom */
view_class *view_zoom_get_vclass(void);

/* view data */
struct view_update_data {
	Eina_List *list;
	int index;
	const char *id;
};

/* view update type */
enum update_type {
	UPDATE_CONTENT = 0,
	UPDATE_CONTENT_ITEM,
	UPDATE_FOCUS,
	UPDATE_BACK,
	UPDATE_PLAY_INFO,
	UPDATE_PLAYER,
	UPDATE_FAVORITE,
	UPDATE_RECENT,
	UPDATE_FOCUS_STATE,
	UPDATE_VIEW_MODE,
	UPDATE_TOAST_SHOW,
	UPDATE_TOAST_HIDE,
};

enum detail_view_type {
	E_DETAIL_MOVIE_GENRE = 0,
	E_DETAIL_MUSIC_ALBUM,
	E_DETAIL_MAX
};

#endif /* __AIR_MEDIAHUB_VIEW_H__ */
