/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_VIEW_VIEWER_H__
#define __AIR_MEDIAHUB_VIEW_VIEWER_H__

/* view */
#define VIEW_VIEWER "VIEW_VIEWER"

/* group */
#define GRP_VIEWER_VIEW "group.viewer_view"

/* style */
#define STYLE_VIEWER_PROGRESS "viewer_progress"

/* part */
#define PART_VIEWER_BG "part.viewer_bg"
#define PART_VIEWER_CONTENT "part.viewer_content"
#define PART_VIEWER_TITLE "part.viewer_title"
#define PART_VIEWER_DATE "part.viewer_date"
#define PART_VIEWER_PAGE "part.viewer_page"
#define PART_VIEWER_PROGRESS "part.viewer_progress"
#define PART_VIEWER_TOTAL "part.viewer_total"
#define PART_VIEWER_FAVORITE "part.viewer_favorite"
#define PART_VIEWER_SLIDER "part.viewer_slider"

/* signal */
#define SIG_SET_PLAY "set,play,icon"
#define SIG_SET_PAUSE "set,pause,icon"
#define SIG_BTN_CALLBACK "btn,callback"
#define SIG_HIDE_BAR "hide,bar"
#define SIG_SHOW_BAR "show,bar"
#define SIG_SHOWED_BAR "showed,bar"
#define SIG_VIEWER_SHOW_FAV "show,favorite"
#define SIG_VIEWER_HIDE_FAV "hide,favorite"
#define SIG_SET_FOCUS "set,focus"
#define SIG_SET_UNFOCUS "set,unfocus"

/* source */
#define SRC_BTN_PREV "prev"
#define SRC_BTN_REW "rew"
#define SRC_BTN_PLAY "play"
#define SRC_BTN_FF "ff"
#define SRC_BTN_NEXT "next"
#define SRC_BTN_GALLERY_PREV "prev_gallery"
#define SRC_BTN_GALLERY_NEXT "next_gallery"
#define SRC_BTN_ROTATE "rotate"
#define SRC_BTN_ZOOM "zoom"
#define SRC_BTN_SLIDE "slide"

/* images */
#define IMAGE_VIEWER_FAVORITE "ic_title_favorite.png"
#define IMAGE_VIEWER_PREV_FOCUS "btn_view_contr_previous_foc.png"
#define IMAGE_VIEWER_PREV_NORMAL "btn_view_contr_previous_nor.png"
#define IMAGE_VIEWER_REW_FOCUS "btn_view_contr_rewind_foc.png"
#define IMAGE_VIEWER_REW_NORMAL "btn_view_contr_rewind_nor.png"
#define IMAGE_VIEWER_PLAY_FOCUS "btn_view_contr_play_foc.png"
#define IMAGE_VIEWER_PLAY_NORMAL "btn_view_contr_play_nor.png"
#define IMAGE_VIEWER_PAUSE_FOCUS "btn_view_contr_pause_foc.png"
#define IMAGE_VIEWER_PAUSE_NORMAL "btn_view_contr_pause_nor.png"
#define IMAGE_VIEWER_FF_FOCUS "btn_view_contr_forward_foc.png"
#define IMAGE_VIEWER_FF_NORMAL "btn_view_contr_forward_nor.png"
#define IMAGE_VIEWER_NEXT_FOCUS "btn_view_contr_next_foc.png"
#define IMAGE_VIEWER_NEXT_NORMAL "btn_view_contr_next_nor.png"
#define IMAGE_VIEWER_PHOTO_PREV_FOCUS "btn_view_slide_previous_foc.png"
#define IMAGE_VIEWER_PHOTO_PREV_NORMAL "btn_view_slide_previous_nor.png"
#define IMAGE_VIEWER_PHOTO_NEXT_FOCUS "btn_view_slide_next_foc.png"
#define IMAGE_VIEWER_PHOTO_NEXT_NORMAL "btn_view_slide_next_nor.png"
#define IMAGE_VIEWER_ROTATE_FOCUS "btn_view_contr_rotate_foc.png"
#define IMAGE_VIEWER_ROTATE_NORMAL "btn_view_contr_rotate_nor.png"
#define IMAGE_VIEWER_ZOOM_FOCUS "btn_view_contr_zoom_foc.png"
#define IMAGE_VIEWER_ZOOM_NORMAL "btn_view_contr_zoom_nor.png"
#define IMAGE_VIEWER_SLIDE_FOCUS "btn_view_contr_slideshow_foc.png"
#define IMAGE_VIEWER_SLIDE_NORMAL "btn_view_contr_slideshow_nor.png"

#endif /* __AIR_MEDIAHUB_VIEW_VIEWER_H__ */
